zookeeper-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Li Li <fancye...@gmail.com>
Subject Re: compile in eclipse error
Date Fri, 17 Jan 2014 01:05:52 GMT
thanks it works. does it means 1.7 is not back compatible for 1.6?

On Thu, Jan 16, 2014 at 10:12 PM, Camille Fournier <camille@apache.org> wrote:
> Yeah I've seen this problem for a while. I think that I switched my eclipse
> VM back to jdk 1.6 and it helped.
>
> C
>
>
> On Thu, Jan 16, 2014 at 7:07 AM, Li Li <fancyerii@gmail.com> wrote:
>
>> I downloaded zookeeper source code of 3.4.5 and use ant to build it
>> successfully
>> Then I use ant eclipse to generate metadata for eclispe and then import it
>> but eclipse compile errors:
>> in AuthFastLeaderElection
>> Line 115:             switch (type) {
>>
>> it says Cannot switch on a value of type
>> AuthFastLeaderElection.ToSend.mType. Only convertible int values,
>> strings or enum variables are permitted
>>
>> I am using jdk 1.7.0_update 45 in eclipse and os is unbuntu.
>>

Mime
View raw message